<?php

define('PHPWG_ROOT_PATH', '../../');
include_once(PHPWG_ROOT_PATH . 'include/common.inc.php');
check_status(ACCESS_ADMINISTRATOR);

if (isset($_GET['file']))
{
  $path = $_GET['file'];
  if (!is_admin() or (!substr_count($path, 'config_default.inc.php') and !substr_count($path, '.lang.php')))
  {
  	die('Hacking attempt!');
  }
    
  $template->set_filename('show_default', dirname(__FILE__) . '/show_default.tpl');
  
  // Editarea
  $editarea = array(
    'syntax' => '"php"',
    'start_highlight' => 'true',
    'is_editable' => 'false',
    'language' => '"'.substr($user['language'], 0, 2).'"');
  if (!isset($conf['editarea_options']) or $conf['editarea_options'] !== false)
  {
    $template->assign_block_vars('editarea', array('EDITAREA_URL' => LOCALEDIT_PATH . 'editarea/edit_area_full.js'));
    foreach($editarea as $option => $value)
    {
      $template->assign_block_vars('editarea.options',
        array('OPTION' => $option,
              'VALUE' => $value));
    }
  }
  
  $file = file_get_contents(PHPWG_ROOT_PATH . $path);
  $template->assign_var('DEFAULT_CONTENT', $file);

  $title = $path;
  $page['page_banner'] = '<h1>'.str_replace('/', ' / ', $path).'</h1>';
  $page['body_id'] = 'thePopuphelpPage';

  include(PHPWG_ROOT_PATH.'include/page_header.php');
  
  $template->parse('show_default');
  
  include(PHPWG_ROOT_PATH.'include/page_tail.php');
}

?>